package com.yeejoin.amos.iec104.business.service.intfc;

import java.util.LinkedList;
import java.util.List;

import com.yeejoin.amos.connect.dao.entity.ClientListenVo;
import com.yeejoin.amos.iec104.business.param.AlarmParam;

public interface IClientListenService {
	public void del(Long id);
	public void add(ClientListenVo vo);
	public ClientListenVo findById(Long id);
	public void edit(ClientListenVo vo);
	public ClientListenVo findOne(ClientListenVo vo);
	public List<ClientListenVo> findAll(ClientListenVo vo);
	public void sendDatas(String dataType, LinkedList<AlarmParam> params);
	public void sendData(String dataType, String channelNo,AlarmParam params);
	public List<ClientListenVo> getDataByServiceId(String serviceId);
}
